Subject: bug#28615: [PATCH] Clarify what grep-read-files wants

From: Allen Li <[email-masked]>
Date: Mon, 9 Oct 2017 21:43:59 -0700

On Mon, Oct 9, 2017 at 6:41 AM, Eli Zaretskii <[email-masked]> wrote:
>
> Thanks, I installed a slightly different change for the first 2 parts,
> but didn't change the function we pass to completing-read.
>
> With that, I'm closing the bug report.

Why did you not change the collection function?  As I noted in the
bug, most of the completions that would be provided by
read-file-name-internal don't work, and the ones that do work result
in running rgrep against a single file.  grep-files-aliases seems like
a much better choice than read-file-name-internal, given that
grep-files-aliases is intended to provide aliases for this very
purpose.